## python-pymeasure 0.14.0

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/PyMeasure.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/PyMeasure.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/PyMeasure"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/PyMeasure"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

## python-pymeasure 0.4.5

=== debian/changelog ===
python-pymeasure (0.4.5-1) unstable; urgency=low

  * Initial release. (Closes: #863604)

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 23 Jul 2017 12:53:19 +0100

=== debian/control ===
Source: python-pymeasure
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
Section: python
Priority: optional
Build-Depends: debhelper (>= 10),
               dh-python,
               dpkg-dev (>= 1.17.14),
               python3-all,
               python3-numpy,
               python3-pandas,
               python3-pyqtgraph (>= 0.9.10),
               python3-pytest <!nocheck>,
               python3-pyvisa,
               python3-serial (>= 2.7),
               python3-setuptools,
               python3-sphinx <!nodoc>,
               python3-sphinx-rtd-theme <!nodoc>,
               sphinx-common
Standards-Version: 4.0.0
Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-pymeasure.git
Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-pymeasure.git
Homepage: https://github.com/ralph-group/pymeasure

Package: python3-pymeasure
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends}
Suggests: python-pymeasure-doc <!nodoc>
Description: scientific measurement library for Python
 PyMeasure makes scientific measurements easy to set up and run.
 .
 The package contains a repository of instrument classes and a system for
 running experiment procedures, which provides graphical interfaces for
 graphing live data and managing queues of experiments. Both parts of the
 package are independent, and when combined provide all the necessary
 requirements for advanced measurements with only limited coding.
 .
 This package provides the modules for Python 3.

Package: python-pymeasure-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends}
Built-Using: ${sphinxdoc:Built-Using}
Description: documentation for PyMeasure
 PyMeasure makes scientific measurements easy to set up and run.
 .
 The package contains a repository of instrument classes and a system for
 running experiment procedures, which provides graphical interfaces for
 graphing live data and managing queues of experiments. Both parts of the
 package are independent, and when combined provide all the necessary
 requirements for advanced measurements with only limited coding.
 .
 This package provides the documentation.
Build-Profiles: <!nodoc>

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pymeasure
ifneq (,$(findstring nocheck,$(DEB_BUILD_PROFILES)))
export PYBUILD_DISABLE=test
endif

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(findstring nodoc,$(DEB_BUILD_PROFILES)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/tests/control ===
Test-Command: set -e
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v --pyargs pymeasure
 ; done
Depends: python3-all,
         python3-pymeasure,
         python3-pytest

## python-pymeasure 0.5

=== debian/changelog ===
python-pymeasure (0.5-1) unstable; urgency=medium

  * New upstream version 0.5
  * Refresh the patch queue
  * Bump the standards version to 4.1.1
  * Add recommended get-orig-source target

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Tue, 31 Oct 2017 09:34:26 +0000

python-pymeasure (0.4.6-1) unstable; urgency=medium

  * New upstream version 0.4.6
  * Drop patch No-pytest-conftest.patch.
    Reason: No longer required
  * Adapt the autopkgtests to the new upstream layout.
    Reason: Upstream moved the test suite outside the Python package, so the
    tests can no longer be launched with --pyargs. Instead, the test suite
    is copied from the source tree to the test bed before running pytest.
  * Add pytest-runner to the build dependencies
  * Drop superfluous nocheck guard for pybuild
  * Add support for the nodoc build option
  * Fixup the Vcs-Browser URI
  * Relax build dependency on pytest
    - New patch No-pytest-runner.patch
    - Drop build dependency on pytest-runner
  * Add support for the nocheck build profile
  * Replace occurrences of findstring with filter
  * Bump the standards version to 4.1.0

 -- Ghislain Antony Vaillant <ghisvail@gmail.com>  Sun, 24 Sep 2017 18:38:10 +0100

=== debian/control ===
--- 
+++ 
@@ -17,8 +17,8 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.0.0
-Vcs-Browser: https://anonscm.debian.org/git/debian-science/packages/python-pymeasure.git
+Standards-Version: 4.1.1
+Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-pymeasure.git
 Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-pymeasure.git
 Homepage: https://github.com/ralph-group/pymeasure

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pymeasure

%:
	dh $@ --with python3,sphinxdoc --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	$(MAKE) -C docs clean
endif

override_dh_auto_build: export http_proxy=127.0.0.1:9
override_dh_auto_build: export https_proxy=127.0.0.1:9
override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

get-orig-source:
	uscan --download-current-version --force-download --no-symlink

=== debian/tests/control ===
Test-Command: set -e
 ; cp -r tests "$AUTOPKGTEST_TMP"
 ; for py in $(py3versions -r 2>/dev/null)
 ; do cd "$AUTOPKGTEST_TMP"
 ; echo "Testing with $py:"
 ; $py -m pytest -v tests
 ; done
Depends: python3-all,
         python3-pymeasure,
         python3-pytest

## python-pymeasure 0.9.0

=== debian/changelog ===
python-pymeasure (0.9.0-2) unstable; urgency=medium

  * Team upload.
  [ Gianfranco Costamagna ]
  * Apply upstream PR: #695 to fix build failure due to new python3-pytgraph
    Closes: #1021235)

 -- Michael R. Crusoe <crusoe@debian.org>  Thu, 13 Oct 2022 13:12:37 +0200

python-pymeasure (0.9.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version
  * Freshen patches

 -- Michael R. Crusoe <crusoe@debian.org>  Mon, 08 Feb 2021 10:15:48 +0100

python-pymeasure (0.8.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream version. Closes: #977091
  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * Point Vcs fields to salsa.debian.org (routine-update)
  * Refresh patches.
  * Drop useless get-orig-source target (routine-update)
  * Add salsa-ci file (routine-update)
  * Rules-Requires-Root: no (routine-update)
  * Trim trailing whitespace.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * debian/control: no reason to build-dep on dpkg-dev, it is in
    build-essential.
  * debian/upstream/metadata: link to upstream's GitHub repository
  * debian/patches/skip_qtbot: patch added to skip tests that need this
    missing pytest fixture.

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Jan 2021 14:06:11 +0100

=== debian/control ===
--- 
+++ 
@@ -3,13 +3,12 @@
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
 Priority: optional
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
-               dpkg-dev (>= 1.17.14),
                python3-all,
                python3-numpy,
                python3-pandas,
-               python3-pyqtgraph (>= 0.9.10),
+               python3-pyqtgraph (>= 0.13.1),
                python3-pytest <!nocheck>,
                python3-pyvisa,
                python3-serial (>= 2.7),
@@ -17,10 +16,11 @@
                python3-sphinx <!nodoc>,
                python3-sphinx-rtd-theme <!nodoc>,
                sphinx-common
-Standards-Version: 4.1.1
-Vcs-Browser: https://anonscm.debian.org/cgit/debian-science/packages/python-pymeasure.git
-Vcs-Git: https://anonscm.debian.org/git/debian-science/packages/python-pymeasure.git
+Standards-Version: 4.5.1
+Vcs-Browser: https://salsa.debian.org/science-team/python-pymeasure
+Vcs-Git: https://salsa.debian.org/science-team/python-pymeasure.git
 Homepage: https://github.com/ralph-group/pymeasure
+Rules-Requires-Root: no
 
 Package: python3-pymeasure
 Architecture: all

=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,3 @@
 ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
 	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
 endif
-
-get-orig-source:
-	uscan --download-current-version --force-download --no-symlink

## python-pymeasure 0.14.0

=== debian/changelog ===
python-pymeasure (0.14.0-2) unstable; urgency=medium

  * Team upload.
  * Improve nodoc build profile.
  * d/rules: skip test_locale_settings due to varying behavior on s390x.
    See https://bugs.debian.org/1088101

 -- Michael R. Crusoe <crusoe@debian.org>  Sat, 23 Nov 2024 11:23:04 +0100

python-pymeasure (0.14.0-1) unstable; urgency=medium

  [ Alexandre Detiste ]
  * Team upload.
  * Fix debian/watch
  * New upstream version 0.14.0. Closes: #1084687, #1082258
  * Use dh-sequence-python3
  * Refresh patches

  [ Michael R. Crusoe ]
  * Skip a test that relies on a feature not yet present in Debian.
    Switch to autopkgtest-pkg-pybuild.
  * Test with pytestqt and xvfb. Added patch to support Qt6.
  * Build-dep on python3-setuptools-scm to fix embedded version.
  * Standards-Version: 4.7.0 (routine-update)

 -- Michael R. Crusoe <crusoe@debian.org>  Tue, 19 Nov 2024 12:24:23 +0100

=== debian/control ===
--- 
+++ 
@@ -2,21 +2,27 @@
 Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
 Uploaders: Ghislain Antony Vaillant <ghisvail@gmail.com>
 Section: python
+Testsuite: autopkgtest-pkg-pybuild
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
-               dh-python,
+               dh-sequence-python3,
+               pybuild-plugin-pyproject,
                python3-all,
                python3-numpy,
                python3-pandas,
+               python3-pint <!nocheck>,
                python3-pyqtgraph (>= 0.13.1),
                python3-pytest <!nocheck>,
+               python3-pytestqt <!nocheck>,
+               python3-pytest-xvfb <!nocheck>,
                python3-pyvisa,
-               python3-serial (>= 2.7),
+               python3-serial,
                python3-setuptools,
-               python3-sphinx <!nodoc>,
-               python3-sphinx-rtd-theme <!nodoc>,
-               sphinx-common
-Standards-Version: 4.5.1
+               python3-setuptools-scm,
+Build-Depends-Indep: dh-sequence-sphinxdoc <!nodoc>,
+                     python3-sphinx <!nodoc>,
+                     python3-sphinx-rtd-theme <!nodoc>
+Standards-Version: 4.7.0
 Vcs-Browser: https://salsa.debian.org/science-team/python-pymeasure
 Vcs-Git: https://salsa.debian.org/science-team/python-pymeasure.git
 Homepage: https://github.com/ralph-group/pymeasure

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=pymeasure
export PYBUILD_TEST_ARGS=-k 'not (test_property_docstrings or test_locale_settings)'

# test_locale_settings is broken on s390x: https://bugs.debian.org/1088101

%:
	dh $@ --buildsystem=pybuild

execute_after_dh_auto_clean:
	$(MAKE) -C docs clean

execute_after_dh_auto_build: export http_proxy=127.0.0.1:9
execute_after_dh_auto_build: export https_proxy=127.0.0.1:9
execute_after_dh_auto_build:
ifeq (,$(filter nodoc,$(DEB_BUILD_OPTIONS)))
	PYTHONPATH=$(CURDIR) $(MAKE) -C docs html
endif

=== debian/watch ===
version=4
opts=uversionmangle=s/(rc|a|b|c)/~$1/ \
https://pypi.debian.net/PyMeasure/[Pp]y[Mm]easure@ANY_VERSION@@ARCHIVE_EXT@
